from iwla import IWLA

PLUGIN_CLASS = 'HTTP'
API_VERSION = 1

def get_plugins_infos():
    infos = {
        'class' : PLUGIN_CLASS,
        'min_version' : API_VERSION,
        'max_version' : -1
    }
    return infos

def load():
    return True

def hook(iwla):
    hits = iwla.getValidVisitors()
    stats = iwla.getMonthStats()
    top_bandwidth = [(k,hits[k]['bandwidth']) for (k,v) in hits.items()]
    top_bandwidth = sorted(top_bandwidth, key=lambda t: t[1], reverse=True)
    stats['top_visitors'] = [hits[h[0]] for h in top_bandwidth[:10]]

